#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_import( knotes )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../../interfaces
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE knotesplugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/kontact
  PO_DIR kontact-desktops
)

install( FILES knotes_part.rc DESTINATION ${DATA_INSTALL_DIR}/knotes )


##### libkontact_knotesplugin (module) ##########

set( KDE3_DCOPIDL_EXECUTABLE ${KDE3_DCOPIDLNG_EXECUTABLE} )

tde_add_kpart( libkontact_knotesplugin AUTOMOC
  SOURCES
    knotes_plugin.cpp knotes_part.cpp summarywidget.cpp knotetip.cpp
    ${CMAKE_SOURCE_DIR}/knotes/KNotesIface.skel
  LINK kpinterfaces-shared knotes-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
